Imports System.Collections

Public Class Car
    Private m_manufacturer As String
    Private m_model As String
    Private m_year As Integer
    Private m_imageUrl As String
    Private m_availableColor As ArrayList
    Private m_price As Decimal

    Public Sub New(ByVal manufacturer As String, ByVal model As String, ByVal year As Integer, ByVal imageUrl As String, ByVal availableColor As String(), ByVal price As Decimal)
        Me.m_manufacturer = manufacturer
        Me.m_model = model
        Me.m_year = year
        Me.m_imageUrl = imageUrl
        Me.m_availableColor = New ArrayList(availableColor)
        Me.m_price = price
    End Sub

    Public Property Price() As Decimal
        Get
            Return Me.m_price
        End Get
        Set(ByVal value As Decimal)
            Me.m_price = value
        End Set
    End Property

    Public Property Model() As String
        Get
            Return Me.m_model
        End Get
        Set(ByVal value As String)
            Me.m_model = value
        End Set
    End Property

    Public Property Manufacturer() As String
        Get
            Return Me.m_manufacturer
        End Get
        Set(ByVal value As String)
            Me.m_manufacturer = value
        End Set
    End Property

    Public Property Year() As Integer
        Get
            Return Me.m_year
        End Get
        Set(ByVal value As Integer)
            Me.m_year = value
        End Set
    End Property

    Public Property ImageUrl() As String
        Get
            Return Me.m_imageUrl
        End Get
        Set(ByVal value As String)
            Me.m_imageUrl = value
        End Set
    End Property

    Public Property AvailableColor() As ArrayList
        Get
            Return Me.m_availableColor
        End Get
        Set(ByVal value As ArrayList)
            Me.m_availableColor = value
        End Set
    End Property
End Class
